/*
 * Copyright (c) 1997-2017 Oracle and/or its affiliates. All rights reserved.
 */

package javasoft.sqe.tests.api.javax.activation.TestClasses;

import java.awt.datatransfer.*;
import javax.activation.*;

/**
 * this class extends ActivationDataFlavor and provides 
 * public versions of protected methods for JCK testing
 */

public class TestActivationDataFlavor extends ActivationDataFlavor {

    public TestActivationDataFlavor(String mimeType,
				    String humanReadableName)
    {
	super(mimeType, humanReadableName);
    }

    // we will only override protected methods:
    @SuppressWarnings("deprecation")
    public String testNormalizeMimeTypeParameter(String parameterName,
						 String parameterValue)
    {
	return super.normalizeMimeTypeParameter(parameterName,parameterValue);
    }

    @SuppressWarnings("deprecation")
    public String testNormalizeMimeType(String mimeType)
    {
	return super.normalizeMimeType(mimeType);
    }
}
